Skip to content

Modify roles

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Modify the role through the old and new role codes in the permission group (permission space), and you can select the role name, role description, etc.

Method name

ManagementClient.update_role

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
namestringYes-Permission group (permission space) role namename
newCodestringYes-Unique identification code of the role in the new permission group (permission space)code2
codestringYes-Unique identifier of the role in the permission group (permission space)code1
namespacestringNodefaultThe code of the permission group (permission space) to which it belongs. If it is not passed, the default permission group is obtained.default
descriptionstringNo-Role descriptionthis is description
statusstringNo-Role status, ENABLE- means normal, DISABLE- means disabledenable
disableTimestringNo-Role automatic disable time, in milliseconds, if null is passed, it means permanent1669881887852

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

IsSuccessDto

NameTypeIs this field required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.